#include <stdio.h>
#define MAX 5
void sumit(void);

main()
{
  int count;
  printf("enter 5 numbers to be summed\n\n");
  for (count = 0; count<MAX; count++)
    sumit();
  printf("Done.\n");
}

void sumit()
{
  static int sum=0;
  //int sum = 0;
  int num;
  printf("Enter a number: ");
  scanf("%d",&num);
  sum+=num;
  printf("The current total: %d\n", sum);
}

/*While the static variable, sum, would be automatically initialized to zero, it is better to do so explicitly. In any case, the initialization is performed only once at the time of memory allocation by the compiler. The variable sum retains its value during program execution. Each time the function sumit() is called, sum is incremented by the next integer read.*/
